<div id="content">
  <form [formGroup]="alterRecord" class="example-form" #taskform = "ngForm" (ngSubmit)="addTask(alterRecord)">
    <p>
      <mat-form-field class="example-full-width">
        <mat-label>Title</mat-label>
        <textarea matInput id="title" formControlName="title"></textarea>
        <mat-error *ngIf="alterRecord.controls['title'].hasError('required')">
          Title is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field class="example-full-width">
        <mat-label>Description</mat-label>
        <textarea matInput id="description" formControlName = "content"></textarea>
      </mat-form-field>
    </p>

    <table class="example-full-width" cellspacing="0"><tr>
      <td><mat-form-field class="example-full-width">
        <mat-label>Time needed</mat-label>
        <mat-hint align="start"><strong>Number input, in minutes</strong> </mat-hint>
        <input matInput type="number" oninput="validity.valid||(value='');" min="1" id="time"formControlName = "time" placeholder="Eg. 10">
        <mat-error *ngIf="alterRecord.controls['time'].hasError('required')">
          Time is <strong>required</strong>
        </mat-error>
      </mat-form-field></td>
      <td>

      <mat-form-field appearance="fill">
        <mat-label>Priority</mat-label>
        <mat-select placeholder="Priority" formControlName="priority">
          <mat-option *ngFor="let prior of priorities" [value]="prior">
            {{prior.name}}
          </mat-option>
        </mat-select>
        <mat-error *ngIf="alterRecord.controls['priority'].hasError('required')">
          Priority is <strong>required</strong>
        </mat-error>
      </mat-form-field></td>
    </tr></table>

    <p>
      <mat-form-field appearance="fill">
        <mat-label>Deadline</mat-label>
        <input id="date" matInput name = "date" [readonly]="true" [matDatepicker]="picker" formControlName="date">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
        <mat-error *ngIf="alterRecord.controls['date'].hasError('required')">
          Date is <strong>required</strong>
        </mat-error>
      </mat-form-field>
    </p>

    <button mat-raised-button color="primary" type="submit">Submit</button>
  </form>
</div>
